Person Group Person - Delete
Delete an existing person from a person group. The persistedFaceId, userData, person name and face feature in the person entry will all be deleted.
DELETE {Endpoint}/face/v1.0/persongroups/{personGroupId}/persons/{personId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
person
|
path | True |
string maxLength: 64pattern: ^[a-z0-9-_]+$ |
Id referencing a particular person group. |
|
person
|
path | True |
string (uuid) |
Id referencing a particular person. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
A successful call returns an empty response body. |
|
| Other Status Codes |
Error response. |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
Examples
Delete an existing person example
Sample request
DELETE {Endpoint}/face/v1.0/persongroups/abc/persons/25985303-c537-4467-b41d-bdb45cd95ca1
Sample response
Definitions
| Name | Description |
|---|---|
| APIError |
Error information returned by the API |
| Error |
Error body. |
APIError
Error information returned by the API
| Name | Type | Description |
|---|---|---|
| error |
Error body. |
Error
Error body.
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| message |
string |